"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = 'C:/rdkit/build/temp.win-amd64-cpython-39/Release/rdkit_install\\share/RDKit\\Data\\FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x0000019028B09EE0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x0000019028B09F70>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x0000019028B12040>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x0000019028B120D0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x0000019028B12160>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x0000019028B121F0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x0000019028B12280>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x0000019028B12310>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x0000019028B123A0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x0000019028B12430>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x0000019028B124C0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x0000019028B12550>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x0000019028B125E0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x0000019028B12670>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x0000019028B12700>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x0000019028B12790>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x0000019028B12820>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x0000019028B128B0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x0000019028B12940>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x0000019028B129D0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x0000019028B12A60>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x0000019028B12AF0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x0000019028B12B80>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x0000019028B12C10>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x0000019028B12D30>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x0000019028B12CA0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x0000019028B12DC0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x0000019028B12E50>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x0000019028B12EE0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x0000019028B12F70>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x0000019028B15040>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x0000019028B150D0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x0000019028B15160>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x0000019028B151F0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x0000019028B15280>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x0000019028B15310>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x0000019028B153A0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x0000019028B15430>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x0000019028B154C0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x0000019028B15550>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x0000019028B155E0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x0000019028B15670>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x0000019028B15700>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x0000019028B15790>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x0000019028B15820>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x0000019028B158B0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x0000019028B15940>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x0000019028B159D0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x0000019028B15A60>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x0000019028B15AF0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x0000019028B15B80>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x0000019028B15C10>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000019028B15CA0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x0000019028B15D30>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x0000019028B15DC0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000019028B15E50>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000019028B15EE0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x0000019028B15F70>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x0000019028B19040>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x0000019028B190D0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x0000019028B19160>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x0000019028B191F0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x0000019028B19280>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000019028B19310>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x0000019028B193A0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x0000019028B19550>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x0000019028B19430>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x0000019028B195E0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x0000019028B19670>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x0000019028B19700>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x0000019028B19790>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x0000019028B19820>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x0000019028B19940>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x0000019028B198B0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x0000019028B199D0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x0000019028B19A60>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x0000019028B19AF0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x0000019028B19C10>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x0000019028B19B80>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x0000019028B19CA0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x0000019028B19D30>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x0000019028B19DC0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x0000019028B19E50>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x0000019028B19EE0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x0000019028B19F70>)]
name: str = 'fr_HOCCN'
